This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 247268 - Review Request: python-proctor - Proctor is a tool for running unit tests
Review Request: python-proctor - Proctor is a tool for running unit tests
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 10:33 EDT by Anderson Silva
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 11:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anderson Silva 2007-07-06 10:33:47 EDT
Spec URL: http://www.the-silvas.com/python-proctor.spec
SRPM URL: http://www.the-silvas.com/python-proctor-1.2-2.src.rpm
Description: Proctor is a tool for running unit tests. It enhances the standard unittest module to provide the ability to find all tests in a set of code, categorize them via tagging, and run some or all of them. Test output may be generated in a variety of formats to support parsing by another tool or simple, nicely formatted, reports for human review.
Comment 1 Anderson Silva 2007-07-16 13:40:08 EDT
Just to show the output of rpmlint on this package:

[ansilva@dhcp227-94 noarch]$ rpmlint python-proctor-1.2-2.noarch.rpm 
[ansilva@dhcp227-94 noarch]$ 
Comment 2 Steve Milner 2007-08-01 21:21:22 EDT
This person is in need of a sponsor.
Comment 3 Steve Milner 2007-08-06 19:54:05 EDT
* Package passes rpmlint
[steve@psycho Desktop]$ rpmlint
/home/steve/rpmbuild/RPMS/noarch/python-proctor-1.2-2.fc7.noarch.rpm
[steve@psycho Desktop]$ 
* Package passes Package Naming Guidelines
* %{name} is the same as spec file
* Meets the Packaging Guidelines
* Licensed under BSD. NOTE: license is not in upsteam source. Please notify the
owner and request it be added.
* The License field in the package spec file matches the actual license.
* spec file is written in American English.
* spec is legible
* Upstream matches whats in srpm

[steve@psycho Desktop]$ md5sum Proctor-1.2.tar.gz*
cee63679980ea25816511bb1b8be0d7f  Proctor-1.2.tar.gz
cee63679980ea25816511bb1b8be0d7f  Proctor-1.2.tar.gz-orig
[steve@psycho Desktop]$ 

* Package compiles in noarch
* BuildRequires looks sane. 
* Build doesn't have duplicate files listed
* %files look sane 
* %clean is sane
* macros used throughout spec
* package is python libraries which is code
* Package does not require docs to run
X Unclear if gui.py should be available or if it is in progress. If it should
work then a %{name}.desktop file is needed and that file must be properly
installed with desktop-file-install in the %install section. Please talk with
the developer.
* Does not own files or directories owned by other packages
* %install has rm -rf $RPM_BUILD_ROOT
* Files are all valid UTF-8
X Package seems to require Pmw (http://pmw.sourceforge.net/ I believe). Without
Pmw warnings are thrown on running tests and gui does not work.

[steve@psycho rpmbuild]$ python /usr/lib/python2.5/site-packages/proctorlib/gui.py
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/proctorlib/gui.py", line 38, in <module>
    import Pmw
ImportError: No module named Pmw
[steve@psycho rpmbuild]$ 

- Note: A later version has been released -- 1.3 Mon Jul 30 07:43:36 2007
(http://www.doughellmann.com/projects/Proctor/)
* Package seems to work as expected with the noted exception of the missing GUI
lib: 

[steve@psycho proctorlib]$ proctorbatch --list
WARNING: Could not import icon (No module named PmwContribD)
test: tests.ExampleTestCase.test00 
test: tests.ExampleTestCase.test01 
test: tests.ExampleTestCase.test02 
test: tests.ExampleTestCase.test03Failure 
test: tests.ExampleTestCase.test04Error 
test: tests.ExampleTestCase.test05 
test: tests.ExampleTestCase.test06 
test: tests.ExampleTestCase.test07 
test: tests.ExampleTestCase.test08Failure 
test: tests.ExampleTestCase.test09Error 
test: tests.ExampleTestCase.test10 
test: tests.ExampleTestCase.test11 
test: tests.ExampleTestCase.test12 
....

It also is importable as expected ....
[steve@psycho proctorlib]$ python
Python 2.5 (r25:51908, Apr 10 2007, 10:29:13) 
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import proctorlib
>>> print proctorlib.__doc__
Library for Proctor.
Comment 4 Anderson Silva 2007-08-13 11:43:00 EDT
I've resolved to move along to a new package, I will try to get someone else to
pick this package up.

Note You need to log in before you can comment on or make changes to this bug.